@charset "utf-8";

/* ===========================================
 * 進入コース別選手成績
 * ======================================== */
.category_shinnyu .shinnyu-inner {
    position: relative;
    background-color: #ffffff;
}

.par-select01{
    position: relative;
    width: 37.5rem;
    height: auto;
    background-color: #FFFFFF;
    padding: 1rem;
}

.par-select01_view {
    width: 26.5rem;
    height:4rem;
}

.par-tab02 {
    display: grid;
    grid-template-columns: repeat(4, 1fr); /* 横4列 */
    width: 100%;
    justify-content: center;
    text-align: center;
    gap: 1rem;
    /* background-color: #FFFFFF; */
    padding: 2rem 1rem 0rem;
    color: #003288;
}

.par-tab02 .par-tab_li {
    height: 3rem;
    background-color: #FFFEF0;
}

.category_shinnyu .shinnyu_info {
    padding: 4rem 0 2rem;
    display: table;
    margin: 0 auto;
}

.category_shinnyu .shinnyu_info .par-select01 .par-select01_view {
    display: inline-block;
    min-width: 12.3rem;
    left: 0;
    text-align: left;
    font-weight: bold;
}

.category_shinnyu .racer-name_container {
    display: inline-flex;
    justify-content: center;
    flex-wrap: wrap;
    background-color: #F0F2F7;
    padding: 1.5rem 0;
}

.category_shinnyu .racer-name_container .racer-name_box {
    height: 4rem;
    display: inline-flex;
    font-weight: bold;
    border: 0.1rem solid #BABABA;
}

/* 選手名の左にある箱だけ適用するCSS */
.category_shinnyu .racer-name_container .racer-name_box:nth-child(3n+1) {
    border: 0.1rem solid #BABABA;
}

/* 選手名の真ん中にある箱だけ適用するCSS */
.category_shinnyu .racer-name_container .racer-name_box:nth-child(3n+2) {
    margin: 0 0.4rem 0.4rem;
    border: 0.1rem solid #BABABA;
}

.category_shinnyu .racer-name_container .racer-name_box:nth-child(5) {
    margin-bottom: 0;
}

.category_shinnyu .racer-name_container .racer-name_box .box-base {
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.2rem;
}

.category_shinnyu .racer-name_container .racer-name_box .box-base.tei {
    width: 2.4rem;
    border-right: 0.1rem solid #bbbbbb;
}

.category_shinnyu .racer-name_container .racer-name_box .box-base.name {
    width: 8.4rem;
}

.category_shinnyu .kikan {
    padding: 0.5rem 1rem 0.5rem;
    font-size: 1.6rem;
    /* background-color: #FFFFFF; */
}

.category_shinnyu .state-missed:after {
    display: none;
}

.scroll-table{
    white-space: nowrap;
    overflow-x: auto;
    /* background-color: #FFFFFF; */
    max-height: 40rem; /* テーブルの最大高さを設定 */
    position: relative;
    scrollbar-width: none;       /* Firefox用 */
    -ms-overflow-style: none;    /* IE/Edge用 */
}

.category_shinnyu .par-table01 {
    position: default;
    width: 34.4rem;
    padding: 0rem;
    margin: 0rem auto;
    /* top: 0; */
    /* left: 0; */
    border-collapse:separate;
}

.category_shinnyu .par-table01 th {
    position: sticky;
    top: 0;
    left: 0;
    border: none;
    border-right: 0.1rem solid #898989;
    border-bottom: 0.1rem solid #898989;
}

.category_shinnyu .par-table01 td {
    white-space: nowrap;
    border: none;
    border-right: 0.1rem solid #898989;
    border-bottom: 0.1rem solid #898989;
    background: #FFF;
    /* padding: 5px; */
}

.category_shinnyu .par-table01 tr:first-child th{
    border-top: 0.1rem solid #898989;
}

.category_shinnyu .par-table01 th:first-child{
    border-left: 0.1rem solid #898989;
}

.category_shinnyu .par-table01 thead th {
    height: 8rem;
    line-height: 1.6;
    width: 1.5rem;
    font-weight: normal;
}

.category_shinnyu .par-table01 thead th.col1 {
    width: 1.5rem;
}

.category_shinnyu .par-table01 thead th.col2 {
    width: 1.5rem;
    /*writing-mode: vertical-rl;*/
}

.category_shinnyu .par-table01 tbody td {
    height: 2.0rem;
    /*    padding: 0 0.3rem;*/
}

.category_shinnyu .par-table01 tbody td.col1,
.category_shinnyu .par-table01 tbody td.col2 {
    font-size: 1.2rem;
}

.category_shinnyu .par-table01 .col1,
.category_shinnyu .par-table01 .col2,
.category_shinnyu .par-table01 .col3{
    width: 3rem !important;
}
.category_shinnyu .par-table01 .col4{
    width: 8.5rem !important;
}
.category_shinnyu .par-table01 .col5{
    width: 5rem !important;
}
.category_shinnyu .par-table01 .col6,
.category_shinnyu .par-table01 .col7,
.category_shinnyu .par-table01 .col8,
.category_shinnyu .par-table01 .col9,
.category_shinnyu .par-table01 .col10,
.category_shinnyu .par-table01 .col11{
    width: 7rem !important;
}

/*.category_shinnyu .par-table01 tbody td.col11{
    writing-mode: vertical-rl;
}*/

.category_shinnyu .par-table01 tbody td.col2 span{
    writing-mode: vertical-lr;
	text-orientation: upright;
    white-space: nowrap;
    overflow-wrap: break-word;
    font-size: 1.4rem;
}

.category_shinnyu .par-table01 td.col4,
.category_shinnyu .par-table01 td.col6,
.category_shinnyu .par-table01 td.col7,
.category_shinnyu .par-table01 td.col8,
.category_shinnyu .par-table01 td.col9,
.category_shinnyu .par-table01 td.col10,
.category_shinnyu .par-table01 td.col11{ 
    text-align: right;
    padding-right: 0.3rem;
}

.category_shinnyu .par-table01 td.col4{ 
    padding-right: 0.5rem;
}


